Name:           python-ipython_genutils
Version:        0.2.0
Release:        1
Summary:        IPython vestigial utilities
License:        BSD-3-Clause
URL:            https://github.com/ipython/ipython_genutils
Source0:        https://pypi.python.org/packages/source/i/ipython_genutils/ipython_genutils-%{version}.tar.gz
Patch01:        delete-nose.patch
BuildArch:      noarch

%description
The package provides IPython vestigial utilities.

%package        -n python%{python3_pkgversion}-ipython_genutils
Summary:        IPython vestigial utilities
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-pytest
%{?python_provide:%python_provide python%{python3_pkgversion}-ipython_genutils}

%description    -n python%{python3_pkgversion}-ipython_genutils
The package provides IPython vestigial utilities.

%prep
%autosetup -n ipython_genutils-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest

%files -n python%{python3_pkgversion}-ipython_genutils
%doc README.md
%license COPYING.md
%{python3_sitelib}/*

%changelog
* Tue Aug 2 2022 wenzhiwei <wenzhiwei@kylinos.cn> - 0.2.0-1
- Update to 0.2.0

* Tue May 10 2022 xigaoxinyan <xigaoxinyan@h-partners.com> - 0.1.0-18
- License compliance rectification

* Fri Apr 29 2022 houyingchao <houyingchao@h-partners.com> - 0.1.0-17
- Remove dependency on python-nose

* Wed Oct 21 2020 leiju <leiju4@huawei.com> - 0.1.0-16
- remove python2 subpackage

* Thu Mar 5 2020 zhujunhao <zhujunhao5@huawei.com> - 0.1.0-15
- Package init
